List offers
GET
/api/v1/offers
const url = 'https://api.inside.chat/api/v1/offers?website_id=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.inside.chat/api/v1/offers?website_id=example' \ --header 'Authorization: Bearer <token>'Required scopes:
conversation_read
Data access: –
MCP tool:offers
List website offers. Requires an unrestricted installation policy.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”website_id
required
string
An explicitly granted website.
Responses
Section titled “Responses”Authorized result. Projection depends on current scopes and data policy.
Media typeapplication/json
Unexpired website offers.
object
data
required
object
offers
required
Array<object>
object
id
required
string
offer_id
integer
label
required
string
category_name
string
Example generated
{ "data": { "offers": [ { "id": "example", "offer_id": 1, "label": "example", "description": "example", "code": "example", "image_url": "example", "thumbnail_url": "example", "content_type": "example", "expires_at": "example", "category_name": "example" } ] }}Invalid, duplicate or unsupported request parameters.
Missing, expired or revoked installation credential.
Resource not found or not permitted by current authority.
The requested capability is not available for application installations.
Per-app quota exceeded.
Headers
Section titled “Headers”Retry-After
integer
Enrollment, native service or required authority is unavailable.